midi-0.2.0.1: Handling of MIDI messages and files

Safe Haskell | None

Sound.MIDI.KeySignature

Synopsis

- data T = Cons Mode Accidentals
- newtype Accidentals = Accidentals Int
- data Mode
  - = Major
  - | Minor
- keyName :: Mode -> Accidentals -> String
- cfMajor :: T
- gfMajor :: T
- dfMajor :: T
- afMajor :: T
- efMajor :: T
- bfMajor :: T
- fMajor :: T
- cMajor :: T
- gMajor :: T
- dMajor :: T
- aMajor :: T
- eMajor :: T
- bMajor :: T
- fsMajor :: T
- csMajor :: T
- afMinor :: T
- efMinor :: T
- bfMinor :: T
- fMinor :: T
- cMinor :: T
- gMinor :: T
- dMinor :: T
- aMinor :: T
- eMinor :: T
- bMinor :: T
- fsMinor :: T
- csMinor :: T
- gsMinor :: T
- dsMinor :: T
- asMinor :: T
- get :: C parser => Fallible parser T
- toBytes :: T -> [Int]

# Documentation

data T Source

Constructors

Cons Mode Accidentals |

Instances

Eq T |
Ord T |
Show T |
Arbitrary T |

newtype Accidentals Source

Accidentals as used in key signature.

Constructors

Accidentals Int |

Instances

Bounded Accidentals |
Enum Accidentals |
Eq Accidentals |
Ord Accidentals |
Show Accidentals |
Ix Accidentals |
Random Accidentals |
Arbitrary Accidentals |

data Mode Source

The Key Signature specifies a mode, either major or minor.

Constructors

Major |
Minor |

Instances

Bounded Mode |
Enum Mode |
Eq Mode |
Ord Mode |
Show Mode |
Ix Mode |
Random Mode |
Arbitrary Mode |

keyName :: Mode -> Accidentals -> String Source

cfMajor :: T Source

gfMajor :: T Source

dfMajor :: T Source

afMajor :: T Source

efMajor :: T Source

bfMajor :: T Source

fMajor :: T Source

cMajor :: T Source

gMajor :: T Source

dMajor :: T Source

aMajor :: T Source

eMajor :: T Source

bMajor :: T Source

fsMajor :: T Source

csMajor :: T Source

afMinor :: T Source

efMinor :: T Source

bfMinor :: T Source

fMinor :: T Source

cMinor :: T Source

gMinor :: T Source

dMinor :: T Source

aMinor :: T Source

eMinor :: T Source

bMinor :: T Source

fsMinor :: T Source

csMinor :: T Source

gsMinor :: T Source

dsMinor :: T Source

asMinor :: T Source

get :: C parser => Fallible parser T Source

toBytes :: T -> [Int]Source